rowwise {dplyr} | R Documentation

## Group input by rows

### Description

`rowwise()` is used for the results of `do()` when you create list-variables. It is also useful to support arbitrary complex operations that need to be applied to each row.

### Usage

    rowwise(data)

### Arguments

`data` | Input data frame.

### Details

Currently, rowwise grouping only works with data frames. Its main impact is to allow you to work with list-variables in `summarise()` and `mutate()` without having to use `[[1]]`. This makes `summarise()` on a rowwise tbl effectively equivalent to `plyr::ldply()`.

### Examples

    df <- expand.grid(x = 1:3, y = 3:1)
    df %>% rowwise() %>% do(i = seq(.$x, .$y))
    .Last.value %>% summarise(n = length(i))

[Package dplyr version 0.7.4 Index]